Bug 164283 - [NEW PORT] net-p2p/RetroShare: A private and secure decentralised communication platform
[NEW PORT] net-p2p/RetroShare: A private and secure decentralised communicati...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Pawel Pekala
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-18 15:00 UTC by glocke
Modified: 2012-01-27 15:20 UTC (History)
0 users

See Also:


Attachments
RetroShare-0.5.2a.shar (17.57 KB, text/plain)
2012-01-18 15:00 UTC, glocke
no flags Details
retroshare.tar (27.50 KB, application/x-tar)
2012-01-23 22:37 UTC, glocke
no flags Details
retroshare.tar (27.50 KB, application/x-tar)
2012-01-24 08:13 UTC, glocke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description glocke 2012-01-18 15:00:21 UTC
RetroShare is a Open Source cross-platform, private and secure decentralised
communication platform. It lets you to securely chat and share files with your
friends and family, using a web-of-trust to authenticate peers and OpenSSL to
encrypt all communication. RetroShare provides filesharing, chat, messages, 
forums and channels.

WWW: http://retroshare.sourceforge.net/

Generated with FreeBSD Port Tools 0.99
Comment 1 glocke 2012-01-19 16:08:16 UTC
Hi, 

please also see the build logs from redports.org for this port:
http://redports.org/buildarchive/20120118012828-22613/

Greetings
Comment 2 Pawel Pekala freebsd_committer 2012-01-20 19:11:21 UTC
State Changed
From-To: open->feedback

Patching fails, please see log: 

http://people.freebsd.org/~pawel/buildlogs/7/RetroShare-0.5.2a.log
Comment 3 glocke 2012-01-23 22:37:24 UTC
Hi Pawel,

please use attached files.
Dependencies are now up with upnp.8 and DOS line endings fixed.
Comment 4 glocke 2012-01-24 08:13:58 UTC
Please also see buildlogs on reports.org for this commit:
https://redports.org/buildarchive/20120123165008-24078/
Comment 5 Pawel Pekala freebsd_committer 2012-01-25 18:19:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 6 Pawel Pekala freebsd_committer 2012-01-27 14:46:17 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!
Comment 7 dfilter freebsd_committer 2012-01-27 15:11:34 UTC
pawel       2012-01-27 14:41:16 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p              Makefile 
  Added files:
    net-p2p/retroshare   Makefile distinfo pkg-descr pkg-plist 
    net-p2p/retroshare/files patch-libbitdht-src-util-bdrandom.cc 
                             patch-libretroshare-src-dbase-findex.h 
                             patch-libretroshare-src-ft-ftfilecreator.h 
                             patch-libretroshare-src-ft-ftfileprovider.h 
                             patch-libretroshare-src-libretroshare.pro 
                             patch-libretroshare-src-rsserver-rsinit.cc 
                             patch-libretroshare-src-rsserver-rsloginhandler.cc 
                             patch-libretroshare-src-upnp-upnphandler.cc 
                             patch-libretroshare-src-upnp-upnphandler.h 
                             patch-libretroshare-src-util-rsdir.h 
                             patch-libretroshare-src-util-rsdiscspace.cc 
                             patch-libretroshare-src-util-rsrandom.cc 
                             patch-retroshare-gui-src-RetroShare.pro 
                             rsinit.h 
  Log:
  RetroShare is a Open Source cross-platform, private and secure decentralised
  communication platform. It lets you to securely chat and share files with your
  friends and family, using a web-of-trust to authenticate peers and OpenSSL to
  encrypt all communication. RetroShare provides filesharing, chat, messages,
  forums and channels.
  
  WWW: http://retroshare.sourceforge.net/
  
  PR:             ports/164283
  Submitted by:   Peter Klett <glocke@bsdstammtisch.at>
  
  Revision  Changes    Path
  1.128     +1 -0      ports/net-p2p/Makefile
  1.1       +63 -0     ports/net-p2p/retroshare/Makefile (new)
  1.1       +2 -0      ports/net-p2p/retroshare/distinfo (new)
  1.1       +11 -0     ports/net-p2p/retroshare/files/patch-libbitdht-src-util-bdrandom.cc (new)
  1.1       +17 -0     ports/net-p2p/retroshare/files/patch-libretroshare-src-dbase-findex.h (new)
  1.1       +10 -0     ports/net-p2p/retroshare/files/patch-libretroshare-src-ft-ftfilecreator.h (new)
  1.1       +10 -0     ports/net-p2p/retroshare/files/patch-libretroshare-src-ft-ftfileprovider.h (new)
  1.1       +10 -0     ports/net-p2p/retroshare/files/patch-libretroshare-src-libretroshare.pro (new)
  1.1       +88 -0     ports/net-p2p/retroshare/files/patch-libretroshare-src-rsserver-rsinit.cc (new)
  1.1       +28 -0     ports/net-p2p/retroshare/files/patch-libretroshare-src-rsserver-rsloginhandler.cc (new)
  1.1       +10 -0     ports/net-p2p/retroshare/files/patch-libretroshare-src-upnp-upnphandler.cc (new)
  1.1       +14 -0     ports/net-p2p/retroshare/files/patch-libretroshare-src-upnp-upnphandler.h (new)
  1.1       +20 -0     ports/net-p2p/retroshare/files/patch-libretroshare-src-util-rsdir.h (new)
  1.1       +10 -0     ports/net-p2p/retroshare/files/patch-libretroshare-src-util-rsdiscspace.cc (new)
  1.1       +11 -0     ports/net-p2p/retroshare/files/patch-libretroshare-src-util-rsrandom.cc (new)
  1.1       +17 -0     ports/net-p2p/retroshare/files/patch-retroshare-gui-src-RetroShare.pro (new)
  1.1       +78 -0     ports/net-p2p/retroshare/files/rsinit.h (new)
  1.1       +7 -0      ports/net-p2p/retroshare/pkg-descr (new)
  1.1       +3 -0      ports/net-p2p/retroshare/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter freebsd_committer 2012-01-27 15:11:55 UTC
pawel       2012-01-27 14:45:43 UTC

  FreeBSD doc repository (ports committer)

  Modified files:
    en_US.ISO8859-1/articles/contributors contrib.additional.sgml 
  Log:
  For net-p2p/retroshare
  
  PR:             ports/164283
  
  Revision  Changes    Path
  1.1058    +5 -0      doc/en_US.ISO8859-1/articles/contributors/contrib.additional.sgml
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"